Skip to content

getByIdPurchaseDeliveryNote

Request

Path
idinteger, (int32)required
GET
/api/v1/purchase-delivery-note/{id}
curl -i -X GET \
  'https://api.prana.software/api/v1/purchase-delivery-note/{id}'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
numberintegerrequired
documentDatestring, (date)required
quantityTotalnumber
observationsstring
linesArray of objects(ApiPurchaseDeliveryNoteLineReadDto)
changenumber
discount1number
discount2number
discountAmountTotalnumber
discountAmountTotalCompanyCurrencynumber
discountPpnumber
discountPpAmountTotalnumber
discountPpAmountTotalCompanyCurrencynumber
grossAmountTotalnumber
grossAmountTotalCompanyCurrencynumber
netAmountTotalnumber
netAmountTotalCompanyCurrencynumber
vatAmountTotalnumber
vatAmountTotalCompanyCurrencynumber
surchargeAmountTotalnumber
surchargeAmountTotalCompanyCurrencynumber
withholdingnumber
withholdingAmountTotalnumber
withholdingAmountTotalCompanyCurrencynumber
totalnumber
totalCompanyCurrencynumber
disbursementAmountTotalnumber
disbursementAmountTotalCompanyCurrencynumber
billingSeriesobject(ApiBillingSeriesListReadDto)

Billing series information.

Default:""
receivedDatestring, (date)

Received date. Format: yyyy-MM-dd

Default:""
Example:"2024-12-31"
billCodestring

Bill code.

Default:""
Example:"BILL001"
lockedboolean

Flag indicating if delivery note is locked.

Default:false
Example:false
warehouseobject(ApiWarehouseListReadDto)

Warehouse information.

Default:""
referencestring

Delivery note reference.

Default:""
Example:"DN-2024-001"
noAccumulateWarehouseboolean

Flag indicating no warehouse accumulation.

Default:false
Example:false
supplierobject(ApiSupplierListReadDto)

Supplier information.

Default:""
supplierNamestring

Supplier name.

Default:""
Example:"Supplier Company SL"
supplierAddressstring

Supplier address.

Default:""
Example:"123 Main St, Madrid"
supplierPhonestring

Supplier phone number.

Default:""
Example:"+34 91 123 4567"
supplierEmailstring

Supplier email address.

Default:""
Example:"contact@supplier.com"
supplierCifstring

Supplier CIF/Tax ID.

Default:""
Example:"A12345678"
deliveryNotestring

Delivery note number.

Default:""
Example:"DN2024001"
packagesinteger, (int32)

Number of packages.

Default:""
Example:5
billingObservationsstring

Billing observations or notes.

Default:""
Example:"Special handling required"
paymentMethodobject(ApiPaymentMethodListReadDto)

Payment method information.

Default:""
firstTerminteger, (int32)

First payment term in days.

Default:""
Example:30
daysTerminteger, (int32)

Days for each payment term.

Default:""
Example:15
termsinteger, (int32)

Total number of payment terms.

Default:""
Example:3
proximityTypestring(ApiProximityTypeEnum)

Proximity type for delivery.

Default:""
Enum:"NEARBY""PREVIOUS""LATER"
irpfTypestring(ApiIRPFTypeEnum)

IRPF withholding type.

Default:""
Enum:"LEASES""PROFESIONAL_ACTIVITIES""AGRO""AGRO_REAGP"
Example:"AGRO"
currencyobject(ApiCurrencyListReadDto)

Currency information.

Default:""
customerVatTypeobject(ApiCustomerVatTypeListReadDto)

Customer VAT type information.

Default:""
shippingTermobject(ApiShippingTermListReadDto)

Shipping term information.

Default:""
shippingVatTypestring

Shipping VAT type/code.

Default:""
Example:"S"
shippingVatPercentagenumber

Shipping VAT percentage.

Default:""
Example:21
shippingSurchargePercentagenumber

Shipping surcharge percentage.

Default:""
Example:5
invoiceDocumentDatestring, (date)

Related invoice document date. Format: yyyy-MM-dd

Default:""
Example:"2025-01-15"
invoiceBillingSeriesCodestring

Related invoice billing series code.

Default:""
Example:"A"
tagsArray of strings

List of tags associated with the delivery note.

Default:""
invoicedboolean

Flag indicating if delivery note has been invoiced.

Default:false
Example:true
invoiceEditObservationsstring

Invoice edit observations or notes.

Default:""
Example:"Adjust quantities as needed"
discount1AmountTotalnumber

Discount 1 amount total.

Default:""
Example:100
discount1AmountTotalCompanyCurrencynumber

Discount 1 amount total in company currency.

Default:""
Example:100
discount2AmountTotalnumber

Discount 2 amount total.

Default:""
Example:50
discount2AmountTotalCompanyCurrencynumber

Discount 2 amount total in company currency.

Default:""
Example:50
filesArray of objects(ApiPurchaseDeliveryNoteFileListReadDto)

List of files attached to the delivery note.

Default:""
projectobject(ApiProjectListReadDto)

Associated project.

Default:""
Response
// No response example